<project
    xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
>
    <modelVersion>4.0.0</modelVersion>
    <groupId>de.ugoe.cs.quest</groupId>
    <artifactId>quest</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>quest</name>
    <packaging>pom</packaging>
    <properties>
        <quest-scm-trunk-dir>https://quest.informatik.uni-goettingen.de/svn/quest/trunk</quest-scm-trunk-dir>
    </properties>
    <scm>
        <url>${quest-scm-trunk-dir}/quest</url>
    </scm>
    <distributionManagement>
        <snapshotRepository>
            <id>quest-snapshots</id>
            <url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/quest-snapshots</url>
        </snapshotRepository>
        <repository>
            <id>quest</id>
            <url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/quest</url>
        </repository>
    </distributionManagement>
    <repositories>
        <repository>
            <id>quest-thirdparty-repo</id>
            <url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/thirdparty</url>
        </repository>
    </repositories>
    <build>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-source-plugin</artifactId>
                <version>2.1.1</version>
                <executions>
                    <execution>
                        <id>bundle-sources</id>
                        <phase>package</phase>
                        <goals>
                            <!-- produce source artifact for main project sources -->
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <reporting>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>2.8.1</version>
                <configuration>
                    <!-- switch on dependency-driven aggregation -->
                    <includeDependencySources>true</includeDependencySources>

                    <dependencySourceIncludes>
                        <dependencySourceInclude>de.ugoe.cs.*:*</dependencySourceInclude>
                    </dependencySourceIncludes>
                </configuration>
            </plugin>
        </plugins>
    </reporting>
</project>